Unable to load file or assembly 'MySql.Data, Version=5.2.5.0'

Nov 29, 2009 at 5:17 AM

Hi all,

I intend to let BlogEngine use MySql, but an error occured when running.

I have done the following work before running BlogEngine:

1. Have created a new DB named BlogEngine by executing the script in the setup/MySQL/MySQLSetup1.5.0.sql.

2. Have modified the MySQLWeb.Config file and used it to replace the web.config in the root directory.

In addition, my MySql version is 5.0.45. Has verison issue caused this problem? Dose anyone know how to solve it?



        
    
Coordinator
Nov 29, 2009 at 7:39 AM

I haven't used MySql with BE personally, but if you haven't already, I think you need to download the MySql connector for .NET and put the mysql.data.dll file in your BIN directory.  The connector can be downloaded at:

http://dev.mysql.com/downloads/connector/net/

Nov 30, 2009 at 12:31 PM

Thanks for telling me this, I have solved this problem with your help.